> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Derivatives Exchange Data by ID

> This endpoint allows you to **query the derivatives exchange's related data (ID, name, open interest, ...) based on the exchange's ID**

<Tip>
  ### Tips

  * For `include_tickers` param, you may change the value to either `all` to include all the tickers or `unexpired` to include unexpired tickers in the responses. You may leave it blank to omit the tickers data.
</Tip>

<Note>
  ### Note

  * Cache / Update Frequency: every 30 seconds for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-pro.json get /derivatives/exchanges/{id}
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /derivatives/exchanges/{id}:
    get:
      tags:
        - Derivatives
      summary: Derivatives Exchange Data by ID
      description: >-
        This endpoint allows you to **query the derivatives exchange's related
        data (ID, name, open interest, ...) based on the exchanges' ID**
      operationId: derivatives-exchanges-id
      parameters:
        - name: id
          in: path
          description: |-
            derivative exchange ID 
             *refers to [`/derivatives/exchanges/list`](/reference/derivatives-exchanges-list).
          required: true
          schema:
            type: string
            example: binance_futures
            default: binance_futures
        - name: include_tickers
          in: query
          description: include tickers data
          required: false
          schema:
            type: string
            enum:
              - all
              - unexpired
      responses:
        '200':
          description: Get derivative exchange data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DerivativesExchangesID'
components:
  schemas:
    DerivativesExchangesID:
      type: object
      properties:
        name:
          type: string
          description: derivatives exchange name
        open_interest_btc:
          type: number
          description: derivatives exchange open interest in BTC
          nullable: true
        trade_volume_24h_btc:
          type: string
          description: derivatives exchange trade volume in BTC in 24 hours
        number_of_perpetual_pairs:
          type: number
          description: number of perpetual pairs in the derivatives exchange
        number_of_futures_pairs:
          type: number
          description: number of futures pairs in the derivatives exchange
        image:
          type: string
          description: derivatives exchange image url
        year_established:
          type: number
          description: derivatives exchange established year
          nullable: true
        country:
          type: string
          description: derivatives exchange incorporated country
          nullable: true
        description:
          type: string
          description: derivatives exchange description
        url:
          type: string
          description: derivatives exchange website url
        tickers:
          type: array
          items:
            $ref: '#/components/schemas/DerivativesTickersItems'
      example:
        name: Binance (Futures)
        open_interest_btc: 350139.89
        trade_volume_24h_btc: '689202.84'
        number_of_perpetual_pairs: 587
        number_of_futures_pairs: 38
        image: >-
          https://coin-images.coingecko.com/markets/images/466/small/binance_futures.jpg?1706864452
        year_established: 2019
        country: null
        description: ''
        url: https://www.binance.com/
        tickers:
          - symbol: ASTERUSDT
            base: ASTER
            target: USDT
            coin_id: aster-2
            target_coin_id: tether
            trade_url: https://www.binance.com/en/futures/ASTERUSDT
            contract_type: perpetual
            last: 1.873
            h24_percentage_change: -5.246
            index: 1.87233812
            index_basis_percentage: -0.035
            bid_ask_spread: 0.00015339028296849384
            funding_rate: 0.009
            open_interest_usd: 212983050.43153304
            h24_volume: 664881040
            converted_volume:
              btc: '10920.642311073362831692974453819990348041448031650635228'
              eth: >-
                296686.4951027005826156931722170663818779309188174859084723041529715688
              usd: '1245690448.4593867566376892'
            converted_last:
              btc: '0.00001642495672770780594329020790519156682230169780695'
              eth: >-
                0.00044622492935382934459327216221576476579619554020894611233357497
              usd: '1.873553874328235855'
            last_traded: 1759214622
            expired_at: null
    DerivativesTickersItems:
      type: object
      properties:
        symbol:
          type: string
          description: derivative ticker symbol
        base:
          type: string
          description: derivative base asset
        target:
          type: string
          description: derivative target asset
        coin_id:
          type: string
          description: derivative base asset coin ID
        target_coin_id:
          type: string
          description: derivative target asset coin ID
        trade_url:
          type: string
          description: derivative trade url
        contract_type:
          type: string
          description: derivative contract type
        last:
          type: number
          description: derivative last price
        h24_percentage_change:
          type: number
          description: derivative price percentage change in 24 hours
        index:
          type: number
          description: derivative underlying asset price
        index_basis_percentage:
          type: number
          description: difference of derivative price and index price in percentage
        bid_ask_spread:
          type: number
          description: derivative bid ask spread
        funding_rate:
          type: number
          description: derivative funding rate
        open_interest_usd:
          type: number
          description: derivative open interest in USD
        h24_volume:
          type: number
          description: derivative volume in 24 hours
        converted_volume:
          type: object
          properties:
            btc:
              type: string
            eth:
              type: string
            usd:
              type: string
        converted_last:
          type: object
          properties:
            btc:
              type: string
            eth:
              type: string
            usd:
              type: string
        last_traded:
          type: number
          description: derivative last updated time
        expired_at:
          type: string
          nullable: true
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````